機械翻訳について

プロジェクトの説明を更新

put

/ic/api/process/v1/spaces/{spaceId}/projects/{projectId}

更新されたプロジェクトを返します

リクエスト

サポートされているメディア・タイプ
パス・パラメータ
フォーム・パラメータ
トップに戻る

レスポンス

サポートされているメディア・タイプ

200レスポンス

成功。 プロジェクトは正常に更新されました
本文()
ルート・スキーマ : project
型: object
設計時プロジェクトの表現

401レスポンス

未認可

403レスポンス

権限が必要です。 ユーザーはプロジェクトを更新できません

404レスポンス

スペース/プロジェクトが見つかりません。

500レスポンス

プロジェクトの更新中のエラー
トップに戻る

次の例は、RESTリソースでPUTリクエストを発行してプロジェクトの説明を更新する方法を示しています。

curl -X PUT --header 'Content-Type: application/x-www-form-urlencoded' --header 'Accept: application/json' -H 'Authorization: Bearer access_token' -d 'description=This is my New project' 'http://example.com:7001/ic/api/process/v1/spaces/<spaceId>/projects/<projectId>'

説明

  • example.com は、Oracle Integrationが実行されているホストです。

  • <version>はREST APIバージョンです。

  • Content-Type: application/x-www-form-urlencoded

  • Request URL: http://example.com:7001/ic/api/process/<version>/spaces/<spaceId>/projects/<projectId>

  • <spaceId>はスペースの一意のIDです。 使用可能なスペースを取得するには、「スペースの取得」を参照してください。

  • <projectId>は、プロジェクトの一意のIDです。 利用可能なプロジェクトを取得するには、「プロジェクトの取得」を参照してください

次に、プロジェクトを更新するために必要なリクエスト・パラメータを示します。 application/x-www-form-urlencodedパラメータを指定する必要があります。

  • description: プロジェクトの説明を指定します。

レスポンス・ヘッダーの例

Status Code: 200 OK
Date:   Mon, 03 Apr 2017 09:39:39 GMT 
Content-Type:  application/json

レスポンス本文の例

{
  "id": "MyProject",
  "name": "MyProject",
  "description": "New project",
  "type": "BPM",
  "creator": "jsmith",
  "creation": "2017-04-03,02:39:39 PDT",
  "links": [
    {
      "href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project1",
      "rel": "self"
    },
    {
      "href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project1",
      "rel": "canonical"
    },
    {
      "href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23",
      "rel": "parent"
    },
    {
      "href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project1/processes",
      "rel": "child"
    },
    {
      "href": "http://example.com:7001/ic/api/process/v1/spaces/89f7e082-6855-4a75-b2a6-6a726aff7f23/projects/My%20Project1/snapshots",
      "rel": "child"
    }
  ]
}
先頭に戻る